# EventHelper

#### new Cesium.EventHelper()
Core/EventHelper.js 30

  A convenience object that simplifies the common pattern of attaching event listeners to several events, then removing all those listeners at once later, for example, in a destroy method.

  ##### Example:

      var helper = new Cesium.EventHelper();

      helper.add(someObject.event, listener1, this);
      helper.add(otherObject.event, listener2, this);

      // later...
      helper.removeAll();

  ##### See:

  - Event

### Methods

#### add(event, listener, scope) → EventHelper~RemoveCallback
Core/EventHelper.js 45

  Adds a listener to an event, and records the registration to be cleaned up later.

  Name | Type | Description
  --- | --- | ---
  `event` | Event | The event to attach to.
  `listener` | function | The function to be executed when the event is raised.
  `scope` | Object | optional An optional object scope to serve as the `this` pointer in which the listener function will execute.

  ##### Returns:

  A function that will remove this event listener when invoked.

  ##### See:

  - Event#addEventListener

#### removeAll()
Core/EventHelper.js 68

  Unregisters all previously added listeners.

  ##### See:

  - Event#removeEventListener

### Type Definitions

#### RemoveCallback()
Core/EventHelper.js 76

  A function that removes a listener.